Bug 481452 - SELinux is preventing certwatch (certwatch_t) "read" to libnssckbi.so (httpd_config_t). SELinux is preventing certwatch (certwatch_t) "read" to ./secmod.db (httpd_config_t). SELinux is preventing certwatch (certwatch_t) "getattr" to /etc/httpd/alias/sec
SELinux is preventing certwatch (certwatch_t) "read" to libnssckbi.so (httpd_...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 21:17 EST by morgan read
Modified: 2009-11-18 05:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:59:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setroubleshoot alert1 (2.92 KB, text/plain)
2009-01-24 21:17 EST, morgan read
no flags Details
setroubleshoot alert2 (2.91 KB, text/plain)
2009-01-24 21:19 EST, morgan read
no flags Details
setroubleshoot alert3 (3.02 KB, text/plain)
2009-01-24 21:20 EST, morgan read
no flags Details

  None (edit)
Description morgan read 2009-01-24 21:17:54 EST
Created attachment 329921 [details]
setroubleshoot alert1

Description of problem:
See 3 attached setroubleshoot alerts, they all go together (20 times in last couple of weeks)

Version-Release number of selected component (if applicable):
crypto-utils-2.4.1-2.i386

How reproducible:
Not sure - it just happens for no reason apparent to me

Steps to Reproduce:
1. I guess install the packages crypto-utils, selinux and apache...
2.
3.
  
Actual results:
Alerts

Expected results:
No alerts

Additional info:
See 3 attached setroubleshoot alerts
Comment 1 morgan read 2009-01-24 21:19:31 EST
Created attachment 329922 [details]
setroubleshoot alert2

setroubleshoot alert2
Comment 2 morgan read 2009-01-24 21:20:41 EST
Created attachment 329923 [details]
setroubleshoot alert3

setroubleshoot alert3
Comment 3 Miroslav Grepl 2009-01-26 11:51:53 EST
Dan, 

probably we need add:

optional_policy(`
        apache_read_config(certwatch_t)
')
Comment 4 Daniel Walsh 2009-01-26 12:57:38 EST
Yes that sounds correct.
Comment 5 Miroslav Grepl 2009-01-27 13:45:25 EST
Fixed in selinux-policy-3.5.13-41.fc10
Comment 6 Bug Zapper 2009-11-18 05:51:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.